package com.wasu.cs.ui;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

import com.wasu.cs.model.CatData;
import com.wasu.widgets.focuswidget.CustomFocusGridView;

import cn.com.wasu.main.R;

/**
 * Created by LiuYang on 6/30/15.
 */
public class FragmentChannelNewsHome extends FragmentPageBase {

    private CustomFocusGridView mGridView;
    private ChanneNewsHomeAdapter mAdapter;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_channel_movie_home, null);
        mGridView = (CustomFocusGridView) rootView.findViewById(R.id.gridView);
        return rootView;
    }

    @Override
    protected boolean onBackPressed() {
        return false;
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        mAdapter = new ChanneNewsHomeAdapter();
        mGridView.setAdapter(mAdapter);
    }

    @Override
    public void onFetchData(CatData catData) {

    }

    class ChanneNewsHomeAdapter extends BaseAdapter {

        @Override
        public int getViewTypeCount() {
            return 2;
        }

        @Override
        public int getCount() {
            return 0;
        }

        @Override
        public Object getItem(int i) {
            return null;
        }

        @Override
        public long getItemId(int i) {
            return 0;
        }

        @Override
        public View getView(int i, View view, ViewGroup viewGroup) {
            return null;
        }
    }
}
